## updated-2.11.tar.gz

=== Makefile ===
# $Id: Makefile,v 1.4 1999/05/23 22:58:55 tp Exp $

RELEASE=2.11

CC = gcc

# update doesn't need to run as root, at least if capabilities are used.
# When building for systems where this is true, -DRESTRICT_TO_ROOT=0
# should be added to CFLAGS.
CFLAGS = -O3 -fomit-frame-pointer -Wall

BINDIR = /sbin
MANDIR = /usr/man/man8

update: update.o

install: update
	mkdir -p $(BINDIR)
	mkdir -p $(MANDIR)
	install -c -s update $(BINDIR)/update
	install update.8 $(MANDIR)

clean:
	rm -f update core *.o *~

dist:
	(mkdir -p updated-$(RELEASE)/debian;\
	cp update.spec Makefile update.lsm\
	   update.c update.8 COPYING updated-$(RELEASE);\
	cp debian/README debian/changelog debian/control\
	   debian/copyright debian/rules updated-$(RELEASE)/debian;\
	chmod -R u=rwX,go=rX updated-$(RELEASE);\
	tar zcvf updated-$(RELEASE).tar.gz updated-$(RELEASE);\
	rm -fr updated-$(RELEASE))

# depencies
update.o: update.c

=== debian/changelog ===
update (1.3-2) unstable; urgency=low

  * Use $(STRIP) instead of strip, needed for dpkg-cross (#12001)

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 24 Aug 1997 20:31:46 -0500

update (1.3-1) unstable; urgency=low

  * Upstream upgrade.
  * Libc6 compile. (8821, 11741)

 -- Guy Maor <maor@ece.utexas.edu>  Fri,  1 Aug 1997 13:53:40 -0500

update (1.2-1) unstable; urgency=low

  * New source format
  * New upstream source bdflush -> update

 -- Guy Maor <maor@ece.utexas.edu>  Mon, 2 Sep 1996 00:24:03 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: update
Section: base
Priority: required
Maintainer: Guy Maor <maor@debian.org>
Standards-Version: 2.2.0.0

Package: update
Architecture: any
Pre-Depends: ${shlibs:Depends}
Section: base
Priority: required
Essential: yes
Conflicts: bdflush
Replaces: bdflush, miscutils
Description: daemon to periodically flush filesystem buffers.
 The update daemon flushes the filesystem buffers at regular intervals.
 This version does not spawn a bdflush daemon, as this is now done by
 the kernel (kflushd).

=== debian/rules ===
#!/usr/bin/make -f

package = update

build:
	$(checkdir)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	rm -f build
	$(MAKE) -i clean
	rm -rf *~ debian/{tmp,*~,files*,substvars}

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	umask 000
	install -d debian/tmp/{DEBIAN,sbin,usr/doc/$(package),usr/man/man8}
	$(MAKE) BINDIR=debian/tmp/sbin MANDIR=debian/tmp/usr/man/man8 install
	cp debian/copyright debian/tmp/usr/doc/$(package)/
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9 debian/tmp/usr/{man/man8/*,doc/$(package)/changelog.Debian}
	dpkg-shlibdeps update
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile
